ข้ามไปยังเนื้อหา

PuLID

ผสานการทำงาน

ID โมเดล pulid
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pulid?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "reference_images": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.009 9 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
ByteDance แก้ไขภาพ อินพุตอ้างอิง #editing#customization#personalization

สร้างภาพใหม่ที่คงใบหน้าของบุคคลจากภาพอ้างอิงไว้ โดยไม่ต้องปรับแต่งเฉพาะบุคคล

ByteDance · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้สร้างใบหน้า

image_size ค่าเริ่มต้น {"height":1024,"width...

ขนาดของรูปภาพที่สร้าง

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่จะสร้าง

•จำเป็น

รายการรูปภาพใบหน้าอ้างอิง แนะนำให้ใช้ 4 รูปภาพ

ขั้นสูง negative_prompt · mode · guidance_scale · num_inference_steps · id_scale · seed · id_mix · enable_safety_checker
ค่าเริ่มต้น flaws in the eyes, fl...

พรอมต์เชิงลบสำหรับการสร้างใบหน้า

mode ค่าเริ่มต้น fidelity

โหมดการสร้าง

ค่าเริ่มต้น 1.2

สเกลสำหรับการนำทาง

ค่าเริ่มต้น 4

จำนวนขั้นตอนทั้งหมดที่จะดำเนินการ

ค่าเริ่มต้น 0.8

สเกลสำหรับ ID

Seed ที่ใช้สำหรับการสร้างแบบสุ่มซึ่งทำซ้ำผลลัพธ์ได้

POST /run/pulid?wait=20 ใบเสนอราคา → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pulid?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "reference_images": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ PuLID

รับ `reference_images` ของใบหน้า (แนะนำประมาณ 4 รูป) และ `prompt` จากนั้นสร้างรูปภาพที่คงอัตลักษณ์เดิมไว้ `mode` คือ fidelity หรือ extreme สไตล์, `id_scale` อยู่ในช่วง 0 ถึง 5 และ `id_mix` อนุญาตให้ผสมอัตลักษณ์สองแบบ สร้างรูปภาพได้สูงสุด 8 รูป โดยมี 1 ถึง 12 ขั้นตอนและ `guidance_scale` ตั้งแต่ 1 ถึง 1.5

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
reference_imagesจำเป็น
ประเภทobject[]
รายการรูปภาพใบหน้าอ้างอิง แนะนำให้ใช้ 4 รูปภาพ
reference_images[].image_urlจำเป็น
ประเภทurl · image
URL ของรูปภาพใบหน้าอ้างอิง
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้สร้างใบหน้า
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้นflaws in the eyes, flaws in the face, flaws, lowres, non-HDRi, low quality, worst quality,artifacts noise, text, watermark, glitch, deformed, mutated, ugly, disfigured, hands, low resolution, partially rendered objects, deformed or partially rendered eyes, deformed, deformed eyeballs, cross-eyed,blurry
พรอมต์เชิงลบสำหรับการสร้างใบหน้า
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 8
จำนวนรูปภาพที่จะสร้าง
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1.2
1 – 1.5
สเกลสำหรับการนำทาง
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น4
1 – 12
จำนวนขั้นตอนทั้งหมดที่จะดำเนินการ
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้สำหรับการสร้างแบบสุ่มซึ่งทำซ้ำผลลัพธ์ได้
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้น{"height":1024,"width":768}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดของรูปภาพที่สร้าง
id_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.8
≤ 5> 0
สเกลสำหรับ ID
modeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นfidelity
fidelityextreme style
โหมดการสร้าง
id_mixไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ระบุว่าจะผสมรูปภาพ ID สองรูปหรือไม่ เปิดใช้สำหรับการผสม มิฉะนั้นให้ปิดใช้
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pulid",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "reference_images": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่สร้างและส่งคืนเป็นรายการ
seed
integerซีดสุ่มสำหรับทำให้ผลลัพธ์เกิดซ้ำ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/pulid.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt